\documentclass[tikz, margin={0cm 0cm 0cm 0cm}]{standalone}

% \input{utils/preamble}

\begin{document}


\tikzset{every picture/.style={line width=0.75pt}} %set default line width to 0.75pt        

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,459); %set diagram left start at 0, and has height of 459

%Flowchart: Alternative Process [id:dp8462164053842839] 
\draw  [fill={rgb, 255:red, 74; green, 144; blue, 226 }  ,fill opacity=1 ] (30,50.5) .. controls (30,44.7) and (34.7,40) .. (40.5,40) -- (119.5,40) .. controls (125.3,40) and (130,44.7) .. (130,50.5) -- (130,89.5) .. controls (130,95.3) and (125.3,100) .. (119.5,100) -- (40.5,100) .. controls (34.7,100) and (30,95.3) .. (30,89.5) -- cycle ;
%Flowchart: Alternative Process [id:dp5303077480120169] 
\draw  [fill={rgb, 255:red, 245; green, 166; blue, 35 }  ,fill opacity=1 ] (30,280.5) .. controls (30,274.7) and (34.7,270) .. (40.5,270) -- (119.5,270) .. controls (125.3,270) and (130,274.7) .. (130,280.5) -- (130,319.5) .. controls (130,325.3) and (125.3,330) .. (119.5,330) -- (40.5,330) .. controls (34.7,330) and (30,325.3) .. (30,319.5) -- cycle ;
%Straight Lines [id:da05446109515669739] 
\draw [color={rgb, 255:red, 0; green, 0; blue, 0 }  ,draw opacity=1 ][fill={rgb, 255:red, 74; green, 144; blue, 226 }  ,fill opacity=1 ][line width=0.75]    (60,103) -- (60,270) ;
\draw [shift={(60,100)}, rotate = 90] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da9518997913494502] 
\draw    (100,267) -- (100,100) ;
\draw [shift={(100,270)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Flowchart: Alternative Process [id:dp5143175432740635] 
\draw  [fill={rgb, 255:red, 184; green, 233; blue, 134 }  ,fill opacity=1 ] (250,201.33) .. controls (250,195.62) and (254.62,191) .. (260.33,191) -- (339.68,191) .. controls (345.38,191) and (350,195.62) .. (350,201.33) -- (350,239.68) .. controls (350,245.38) and (345.38,250) .. (339.68,250) -- (260.33,250) .. controls (254.62,250) and (250,245.38) .. (250,239.68) -- cycle ;
%Straight Lines [id:da08784841085657369] 
\draw    (100,150) -- (320,150) -- (320,187) ;
\draw [shift={(320,190)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da7338878199207495] 
\draw    (60,170) -- (280,170) -- (280,187) ;
\draw [shift={(280,190)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da5445470756722872] 
\draw    (300,250) -- (300,300) -- (200,300) ;
%Straight Lines [id:da8763941356368525] 
\draw    (170,300) -- (130,300) ;
%Straight Lines [id:da2680367734389846] 
\draw    (170,280) -- (200,300) ;
%Straight Lines [id:da005057024013934042] 
\draw    (180,280) -- (180,220) -- (250,220) ;
%Shape: Circle [id:dp9696414913740099] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (167.5,300) .. controls (167.5,298.62) and (168.62,297.5) .. (170,297.5) .. controls (171.38,297.5) and (172.5,298.62) .. (172.5,300) .. controls (172.5,301.38) and (171.38,302.5) .. (170,302.5) .. controls (168.62,302.5) and (167.5,301.38) .. (167.5,300) -- cycle ;
%Shape: Circle [id:dp11896832035251947] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (197.5,300) .. controls (197.5,298.62) and (198.62,297.5) .. (200,297.5) .. controls (201.38,297.5) and (202.5,298.62) .. (202.5,300) .. controls (202.5,301.38) and (201.38,302.5) .. (200,302.5) .. controls (198.62,302.5) and (197.5,301.38) .. (197.5,300) -- cycle ;
%Shape: Circle [id:dp7224713427427337] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (97.5,150) .. controls (97.5,148.62) and (98.62,147.5) .. (100,147.5) .. controls (101.38,147.5) and (102.5,148.62) .. (102.5,150) .. controls (102.5,151.38) and (101.38,152.5) .. (100,152.5) .. controls (98.62,152.5) and (97.5,151.38) .. (97.5,150) -- cycle ;
%Shape: Circle [id:dp1300019714149946] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (57.5,170) .. controls (57.5,168.62) and (58.62,167.5) .. (60,167.5) .. controls (61.38,167.5) and (62.5,168.62) .. (62.5,170) .. controls (62.5,171.38) and (61.38,172.5) .. (60,172.5) .. controls (58.62,172.5) and (57.5,171.38) .. (57.5,170) -- cycle ;

% Text Node
\draw (60,62) node [anchor=north west][inner sep=0.75pt]   [align=left] {Agent};
% Text Node
\draw (58,292) node [anchor=north west][inner sep=0.75pt]   [align=left] {Robot};
% Text Node
\draw (272,202) node [anchor=north west][inner sep=0.75pt]   [align=left] {Guardian\\ \ \ Angel};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (67,123) .. controls (67,120.24) and (69.24,118) .. (72,118) -- (122,118) .. controls (124.76,118) and (127,120.24) .. (127,123) -- (127,133) .. controls (127,135.76) and (124.76,138) .. (122,138) -- (72,138) .. controls (69.24,138) and (67,135.76) .. (67,133) -- cycle  ;
\draw (70,122) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {commands};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (23,213) .. controls (23,210.24) and (25.24,208) .. (28,208) -- (86,208) .. controls (88.76,208) and (91,210.24) .. (91,213) -- (91,223) .. controls (91,225.76) and (88.76,228) .. (86,228) -- (28,228) .. controls (25.24,228) and (23,225.76) .. (23,223) -- cycle  ;
\draw (26,212) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {observations};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (146,233) .. controls (146,230.24) and (148.24,228) .. (151,228) -- (207,228) .. controls (209.76,228) and (212,230.24) .. (212,233) -- (212,260) .. controls (212,262.76) and (209.76,265) .. (207,265) -- (151,265) .. controls (148.24,265) and (146,262.76) .. (146,260) -- cycle  ;
\draw (149,232) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{42.61pt}\setlength\topsep{0pt}
\begin{center}
Intervention\\Signal
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (218,289) .. controls (218,286.24) and (220.24,284) .. (223,284) -- (273,284) .. controls (275.76,284) and (278,286.24) .. (278,289) -- (278,316) .. controls (278,318.76) and (275.76,321) .. (273,321) -- (223,321) .. controls (220.24,321) and (218,318.76) .. (218,316) -- cycle  ;
\draw (221,288) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{38.08pt}\setlength\topsep{0pt}
\begin{center}
Safe\\commands
\end{center}

\end{minipage}};
\end{tikzpicture}



\end{document}

